class CreateItamAssets < ActiveRecord::Migration
  def change
    create_table :itam_assets do |t|
      t.string :reference
      t.string :asset_description
      t.belongs_to :asset_category, :index => true #, :foreign_key => true
      t.belongs_to :status, :index => true #, :foreign_key => true
      t.belongs_to :vendor, :index => true #, :foreign_key => true
      t.belongs_to :employee, :index => true #, :foreign_key => true
      t.belongs_to :department, :index => true #, :foreign_key => true
      t.string :brand
      t.string :model
      t.string :model_number
      t.string :serial_number
      t.string :barcode_number
      t.datetime :date_aquired
      t.datetime :date_sold
      t.decimal :purchase_price
      t.string :deprication_method
      t.float :depreciable_life
      t.decimal :salvage_value
      t.decimal :current_value
      t.text :comments
      t.text :description
      t.datetime :next_scheduled_maintenance

      t.timestamps :null => false
    end
  end
end
